# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.AggregationArgument

Packages that use AggregationArgument
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.

## Uses of AggregationArgument in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return AggregationArgument
Modifier and Type
Method
Description
`static AggregationArgument`
StructureFactory.`createAggregationArgument()`
Creates an aggregation argument for computed column.
Methods in org.eclipse.birt.report.model.api with parameters of type AggregationArgument
Modifier and Type
Method
Description
`AggregationArgumentHandle`
ComputedColumnHandle.`addArgument(AggregationArgument argument)`
Adds an arguments to list.
`void`
ComputedColumnHandle.`removeArgument(AggregationArgument argument)`
Removes an arguments from list.

## Uses of AggregationArgument in org.eclipse.birt.report.model.api.elements.structures

Methods in org.eclipse.birt.report.model.api.elements.structures with parameters of type AggregationArgument
Modifier and Type
Method
Description
`void`
ComputedColumn.`addArgument(AggregationArgument argument)`
Adds an argument to list.
`void`
ComputedColumn.`removeArgument(AggregationArgument argument)`
Removes an argument from list.